Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-extra-form-fields
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname django-extra-form-fields
%global obs_ver 0.0.1-3

Name:           python-module-django-extra-form-fields
Version:        0.0.1
Release:        alt1_15
Summary:        Additional form fields for Django applications

License:        GPLv3+
URL:            http://pypi.python.org/pypi/django-extra-form-fields/0.0.1
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools


%global _description\
Additional form fields to use in Django applications:\
\
    NextUrlField - add to forms that need to store url of next page\
    get_next_url - utility function to extract next url from the request object\
    UserNameField - field to enter user name - allows unique username site-wide\
    UserEmailField - allows unique email address site-wide if\
                     EMAIL_UNIQUE setting is True\
\

Source44: import.info


%description %_description

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files -n python-module-django-extra-form-fields
%doc AUTHORS COPYING LICENSE
%{python_sitelibdir_noarch}/django_extra_form_fields
%{python_sitelibdir_noarch}/django_extra_form_fields-%{version}*



%changelog
* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_13
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_12
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_9
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_8
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_6
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1_5
- initial fc import

